package nl.iobyte.themepark.api.event.ridecount;

import nl.iobyte.themepark.api.event.objects.ChangeEvent;
import nl.iobyte.themepark.api.ridecount.objects.RideCount;

public class RideCountAddEvent extends ChangeEvent<Integer> {

    private final RideCount count;

    public RideCountAddEvent(RideCount count, int old, int current) {
        super(old, current);
        this.count = count;
    }

    public RideCount getRideCount() {
        return count;
    }

}
