package nl.iobyte.themepark.api.load.objects;

import nl.iobyte.menuapi.MenuAPI;
import nl.iobyte.themepark.ThemePark;
import nl.iobyte.themepark.api.load.interfaces.IDataLoader;
import nl.iobyte.themepark.api.menu.objects.handlers.StatusMenuHandler;

public class MenuDataLoader implements IDataLoader {

    public void load() {
        //Register default IActionHandlers
        MenuAPI.addActionHandler(new StatusMenuHandler());

        //Load Menu's
        ThemePark.getInstance().getAPI().getMenuService().init();
    }

}
