package nl.iobyte.themepark.api.menu;

import nl.iobyte.themepark.api.menu.objects.MainMenu;
import nl.iobyte.themepark.api.menu.objects.StatusMenu;

public class MenuService {

    private final MainMenu mainMenu = new MainMenu();
    private final StatusMenu statusMenu = new StatusMenu();

    /**
     * Load all menu's
     */
    public void init() {
        mainMenu.load();
        statusMenu.load();
    }

    /**
     * Get main menu
     * @return MainMenu
     */
    public MainMenu getMainMenu() {
        return mainMenu;
    }

    /**
     * Get status menu
     * @return StatusMenu
     */
    public StatusMenu getStatusMenu() {
        return statusMenu;
    }

}
