package nl.iobyte.themepark.api.menu.objects.actions;

import nl.iobyte.menuapi.action.MenuAction;
import nl.iobyte.themepark.ThemePark;
import nl.iobyte.themepark.api.attraction.objects.Attraction;
import nl.iobyte.themepark.api.config.enums.StorageKey;
import org.bukkit.Bukkit;
import org.bukkit.entity.Player;

public class TPAction extends MenuAction {

    private final Attraction attraction;

    public TPAction(Attraction attraction) {
        this.attraction = attraction;
    }

    public void execute(Player player) {
        Bukkit.dispatchCommand(player, ThemePark.getInstance().getAPI().getConfigurationManager().getString(StorageKey.CMD)+" attraction warp "+attraction.getID());
    }

}
