package nl.iobyte.themepark.commands.executors;

import nl.iobyte.commandapi.interfaces.ICommandExecutor;
import org.bukkit.command.CommandSender;

public class ConsoleExecutor implements ICommandExecutor {

    private final CommandSender executor;

    public ConsoleExecutor(CommandSender executor) {
        this.executor = executor;
    }

    public boolean isPlayer() {
        return false;
    }

    public boolean hasPermission(String s) {
        return true;
    }

    public void sendMessage(String s) {
        executor.sendMessage(s);
    }

    public Object getOriginal() {
        return executor;
    }

}
