package nl.iobyte.themepark.api.config.enums;

public enum StorageLocation {

    SIGN_DATA("sign.yml"),
    MESSAGE("message.yml"),
    SETTINGS("settings.yml"),
    STATUS_SETTINGS("status.yml"),
    REGIONS("regions.yml"),
    MENU("menu.yml");

    private final String name;
    StorageLocation(String name) {
        this.name = name;
    }

    /**
     * Returns filename of StorageLocation
     * @return String
     */
    public String getName() {
        return name;
    }

}
