package nl.iobyte.themepark.api.database.objects.types;

import nl.iobyte.themepark.api.database.objects.Database;
import java.sql.Connection;
import java.util.ArrayList;
import java.util.Map;

public class NullDatabase extends Database {

    public Connection getConnection() {
        return null;
    }

    public void closeConnection() {}

    public boolean execute(String query, Map<Integer, Object> objects) {
        return false;
    }

    public int executeUpdate(String query, Map<Integer, Object> objects) {
        return 0;
    }

    public ArrayList<Map<String, Object>> executeQuery(String query, Map<Integer, Object> objects) {
        return new ArrayList<>();
    }

}
