package nl.iobyte.themepark.api.event.objects;

import nl.iobyte.themepark.api.attraction.objects.Region;

public class RegionEvent<T> extends ChangeEvent<T> {

    private final Region region;

    public RegionEvent(Region region, T old, T current) {
        super(old, current);
        this.region = region;
    }

    public Region getRegion() {
        return region;
    }

}
