package nl.iobyte.themepark.api.event.objects;

import nl.iobyte.themepark.api.attraction.enums.Status;

public class StatusEvent<T> extends ChangeEvent<T> {

    private final Status status;

    public StatusEvent(Status status, T old, T current) {
        super(old, current);
        this.status = status;
    }

    public Status getStatus() {
        return status;
    }

}
