package nl.iobyte.themepark.api.message;

import org.bukkit.ChatColor;

public class Text {

    /**
     * Color text
     * @param str String
     * @return String
     */
    public static String color(String str) {
        return ChatColor.translateAlternateColorCodes('&', str);
    }

    /**
     * Strip text of color
     * @param str String
     * @return String
     */
    public static String strip(String str) {
        return ChatColor.stripColor(color(str));
    }

}
