package nl.iobyte.themepark.commands.arguments;

import com.cryptomorin.xseries.XMaterial;
import nl.iobyte.commandapi.interfaces.ICommandArgument;
import nl.iobyte.commandapi.interfaces.ICommandExecutor;
import nl.iobyte.commandapi.objects.ArgumentCheck;
import org.bukkit.ChatColor;
import java.util.List;

public class MaterialArgument implements ICommandArgument<XMaterial> {

    public String getMessage(String[] args) {
        return "No material with name: "+ ChatColor.WHITE+args[0];
    }

    public ArgumentCheck checkArgument(ICommandExecutor iCommandExecutor, String[] args, List<Object> list) {
        return new ArgumentCheck(XMaterial.matchXMaterial(args[0]).isPresent(), 1);
    }

    public XMaterial getArgument(ICommandExecutor iCommandExecutor, String[] args, List<Object> list) {
        return XMaterial.matchXMaterial(args[0]).orElse(XMaterial.RED_CONCRETE);
    }

}
